Bug 132944 - FamErrlist and FAMErrno not provided.
Summary: FamErrlist and FAMErrno not provided.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-20 06:34 UTC by Aleksey Nogin
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 11:51:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2004-09-20 06:34:25 UTC
I am trying to use gamin instead of FAM on FC2 (I have SELinux
enabled) and a FAM application (OMake - http://omake.metaprl.org/)
that I need to run does not work. If I try to use a binary that is
compiled against the "real" FAM, I get

omake: error while loading shared libraries: omake: undefined symbol:
FamErrlist

If I try recompiling, I get:

omake_cnotify.c: In function `om_notify_next_event':
omake_cnotify.c:247: error: `FamErrlist' undeclared (first use in this
function)
omake_cnotify.c:247: error: (Each undeclared identifier is reported
only once
omake_cnotify.c:247: error: for each function it appears in.)
omake_cnotify.c:247: error: `FAMErrno' undeclared (first use in this
function)

Is gamin going to provide the FAMErrno and FamErrlist? If not, what's
the best way of making sure that OMake would work with both gamin and
the "real" FAM?

Comment 1 Aleksey Nogin 2004-09-20 06:35:19 UTC
P.S. I am using a result of "rpmbuild --rebuild" on
http://www.gnome.org/~veillard/gamin/SRPMS/gamin-0.0.9-1.src.rpm

Comment 2 Daniel Veillard 2004-09-20 22:35:29 UTC
Agreed it's an error, I will get this fixed in the next release,

Daniel

Comment 3 Daniel Veillard 2004-09-21 11:51:53 UTC
I just released gamin-0.0.10 which should fix this
  http://www.gnome.org/~veillard/gamin/sources/

give it a try.
I also pushed it on Rawhide it should appear there soon,

  thanks for the report,

Daniel


Comment 4 Aleksey Nogin 2004-09-21 23:55:31 UTC
Please see bug 133162 for the next "iteration".


Note You need to log in before you can comment on or make changes to this bug.